Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks.spring
Class ModelBeanImpl

    java.lang.Object
      org.apache.portals.bridges.frameworks.spring.ModelBeanImpl

All Implemented Interfaces:
  ModelBean

public class ModelBeanImpl
extends Object
implements ModelBean

BeanModelImpl

Version:
  $Id: ModelBeanImpl.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Field Summary
`private String` | `beanName`
`private int` | `beanType`
`private String` | `lookupKey`
`private boolean` | `requiresExternalSupport`

Fields inherited from interface org.apache.portals.bridges.frameworks.model.ModelBean
`DYNABEAN, POJO, PREFS_MAP`

Constructor Summary
`ModelBeanImpl(String beanName, int beanType)`
`ModelBeanImpl(String beanName, int beanType, String lookupKey, boolean requiresExternalSupport)`

Method Summary
`String` | `getBeanName()`
`int` | `getBeanType()`
`String` | `getLookupKey()`
`boolean` | `isRequiresExternalSupport()`
`boolean` | `isRequiresLookup()`
`void` | `setLookupKey(String lookupKey)`
`void` | `setRequiresExternalSupport(boolean requiresExternalSupport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### beanName

    private String beanName

### beanType

    private int beanType

### requiresExternalSupport

    private boolean requiresExternalSupport

### lookupKey

    private String lookupKey

Constructor Detail

### ModelBeanImpl

    public ModelBeanImpl(String beanName,
                         int beanType)

### ModelBeanImpl

    public ModelBeanImpl(String beanName,
                         int beanType,
                         String lookupKey,
                         boolean requiresExternalSupport)

Method Detail

### getBeanName

    public String getBeanName()

  Specified by:
    `getBeanName` in interface `ModelBean`

### getBeanType

    public int getBeanType()

  Specified by:
    `getBeanType` in interface `ModelBean`

### getLookupKey

    public String getLookupKey()

  Specified by:
    `getLookupKey` in interface `ModelBean`
  Returns:
    Returns the lookupKey.

### setLookupKey

    public void setLookupKey(String lookupKey)

  Parameters:
    `lookupKey` - The lookupKey to set.

### isRequiresExternalSupport

    public boolean isRequiresExternalSupport()

  Specified by:
    `isRequiresExternalSupport` in interface `ModelBean`
  Returns:
    Returns the requiresExternalSupport.

### setRequiresExternalSupport

    public void setRequiresExternalSupport(boolean requiresExternalSupport)

  Parameters:
    `requiresExternalSupport` - The requiresExternalSupport to set.

### isRequiresLookup

    public boolean isRequiresLookup()

  Specified by:
    `isRequiresLookup` in interface `ModelBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.